Subject: bug#50187: 28.0.50; tramp is called from calendar

From: Michael Heerdegen <[email-masked]>
Date: Tue, 23 Aug 2022 04:11:44 +0200

Sam Steingold <[email-masked]> writes:

> > calendar-cursor-to-visible-date is an autoloaded function, so what's
> > happening is that Emacs is trying to load the cal-move file -- and
> > looking into "/scp:remote:/path/Contents/Resources/site-lisp/".
> >
> > Can something have put that in your load-path by any chance?
>
> I don't think so.
>
> I suspect that this is a part of the pattern I still observe when tramp
> paths seep into `default-directory' in irrelevant buffers.

If you had `nil' in your `load-path' - that stands for the
`default-directory'.

Michael.